<?php
  
    $options[] = array(
        'name' => 'Opciones Generales',
        'type' => 'heading',
		'std'  => 'cogs'
    );
    $options[] = array(
        'name' => 'Zona de Soporte',
        'type' => 'toggle'
    );
        $options[] = array(
            'id' => 'email_show',
            'desc' => 'Configuración de correo electrónico habilitada',
            'std' => 1,
            'type' => 'checkbox',
            'class' => 'support_enable'
        );
        $options[] = array(
            'id' => 'email_text',
            'desc' => 'Descripción E-Mail',
            'std' => 'E-mail Dir',
            'type' => 'text'
        );
        $options[] = array(
            'id' => 'phone_show',
            'desc' => 'Configuración del teléfono Activado',
            'std' => 1,
            'type' => 'checkbox',
            'class' => 'support_enable'
        );
        $options[] = array(
            'id' => 'phone_text',
            'desc' => 'Descripción del teléfono',
            'std' => 'Phone Number',
            'type' => 'text'
        );
    $options[] = array(
        'name' => 'Soporte de zonas',
        'type' => 'toggle-close'
    );
    $options[] = array(
        'name' => 'Logo Zona de configuración',
        'type' => 'toggle'
    );
        $options[] = array(
            'id' => 'style_logo',
            'std' => '2',
            'options' => array(
                '1' => 'Texto Logo',
                '2' => 'Imagen Logo'                     
            ),
            'type' => 'radio',
            'class' => 'side'
        );
        $options[] = array(
            'id' => 'text_logo',
            'desc' => 'Texto Logo',
            'std' => 'Logo Text',
            'type' => 'text'
        );
        $options[] = array(
            'id' => 'img_logo',
            'desc' => 'Imagen Logo',
            'type' => 'upload'
        );
        $options[] = array(
            'id' => 'typo_logo',
            'desc' => 'Logo de la tipografía',
            'std' => array( 'size' => '36px', 'face' => 'Rokkitt, serif', 'color'
=> '#00bc96'),
            'type' => 'typography'
        ); 
    $options[] = array(
        'name' => 'Logo Zona de configuración',
        'type' => 'toggle-close'
    );
    $options[] = array(
        'name' => 'Mostrar Dirección Subtítulo',
        'type' => 'toggle'
    );
        $options[] = array(
            'id' => 'show_subtitle_dir',
            'desc' => 'Mostrar dirección subtítulo debajo del título de la página',
            'std' => 1,
            'type' => 'checkbox'
        );
    $options[] = array(
        'name' => 'Mostrar Dirección Subtítulo',
        'type' => 'toggle-close'
    );
    $options[] = array(
        'name' => 'Configuración de Páginas Estilo',
        'type' => 'toggle'
    );
        $options[] = array(
            'name' => 'ADVERTENCIA: Dos páginas nunca ser el mismo estilo.',
            'type' => 'info'
        );
        //PAGE STYLE
        $styles_pages_sele = array(
            '1' => 'No-style',
            '2' => 'Home',
            '3' => 'About',
            '4' => 'Advanced',
            '5' => 'More_services',
            '6' => 'Online_Store',
            '7' => 'Professional',
            '8' => 'Services',
            '9' => 'Standar',
            '10' => 'Unlimited',
            '11' => 'Pricing',
            '12' => 'Blog',
            '13' => 'Support',
            '14' => 'Contact'
        );
		
		$paginas = array();
         $pages_obj = get_pages();         
         foreach ($pages_obj as $page) {
             $paginas[$page->ID] = array($page->post_title,$page->post_name);
                $pag[] = $page->post_title;
                $foot[] = $page->post_id;
         }  
         ksort($paginas);     
         $styles_pages = array_keys($paginas);
         for($i=0; $i<count($paginas); $i++){
             if($paginas[$styles_pages[$i]][1] != 'whmcs-bridge'){
                 $selec_pos = array_search(ucfirst($paginas[$styles_pages[$i]][1]),$styles_pages_sele);
                 $options[] = array(
                        'id' => 'page_style_'.$styles_pages[$i],
                        'desc' => 'Page style for: '.$paginas[$styles_pages[$i]][0],//.'  post-name:'.ucfirst($paginas[$styles_pages[$i]][1]),
                        'std' => $selec_pos,
                        'options' => $styles_pages_sele,
                        'type' => 'select'
                 );         
                 $pos = of_get_option('page_style_'.$styles_pages[$i]);
                  if($pos)
                {
                     if($pos != '1'){
                        wp_update_post(array('ID' => $styles_pages[$i], 'post_name' => $styles_pages_sele[$pos])); 
                     }
                } 
             }
        }

    $options[] = array(
        'name' => 'Configuración de Páginas Estilo',
        'type' => 'toggle-close'
    ); 
    $options[] = array(
        'name' => 'Buscar Dominio Zona de configuración',
        'type' => 'toggle'
    );
        //SEARCH ZONE
        $options[] = array(
            'name' => __('Buscar Zone','HOSTING_SP'),
            'type' => 'toggle'
        );
             $options[] = array(
                'id' => 'search_title',
                'desc' => 'Titulo de Zona',
                'std' => 'From 10USD / Month',
                'type' => 'text'
             );
             $options[] = array(
                'id' => 'search_domain',
                'desc' => 'Título Zona',
                'std' => 'Introduzca su dominio',
                'type' => 'text'
             );
             foreach(font_awesome_icon('Buscar') as $val){
                 $options[] = $val;
             }
             $options[] = array(
                'name' => ' ',
                'type' => 'info'
             );
             //DOMAIN
             $options[] = array(
                'id' => 'search_domain_num',
                'desc' => 'Número de Dominio',
                'std' => '4',
                'type' => 'text',
                'class' => 'mini'
             );
             if(of_get_option('search_domain_num')?$cant=of_get_option('search_domain_num'):$cant=4);
             for($i=1; $i<=$cant; $i++){
               $options[] = array(
                    'id' => 'search_domain_'.$i,
                    'desc' => 'Titulo',
                    'std' => '.',
                    'type' => 'text',
                    'class' => 'medium'
                 ); 
             }
             //BUTTON
             $options[] = array(
                'id' => 'search_btn',
                'desc' => 'Boton',
                'std' => 'Search',
                'type' => 'text',
                'class' => 'medium'
             );
        $options[] = array(
            'name' => __('Buscar Zone','HOSTING_SP'),
            'type' => 'toggle-close'
        ); 
        for($i=0; $i<count($paginas); $i++){
            if($paginas[$styles_pages[$i]][1] != 'whmcs-bridge'){
               $options[] = array(
                   'id' => 'domain_page_'.$styles_pages[$i],
                   'desc' => 'Mostrar dominio en la página: '.$paginas[$styles_pages[$i]][0], 
                   'std' => 0,
                   'type' => 'checkbox'
               ); 
            }  
        }
    $options[] = array(
        'name' => 'Buscar Dominio Zona de configuración',
        'type' => 'toggle-close'
    );
    $options[] = array(
        'name' => 'Zona de configuración de Derechos de Autor',
        'type' => 'toggle'
    );
         $options[] = array(
            'id' => 'show_copyright',
            'desc' => 'Mostrar configuración estilo',
            'std' => 1,
            'type' => 'checkbox'
         );
         $options[] = array(
            'id' => 'copyright_text',
            'desc' => 'Descripción Copyright',
            'std' => 'Copyright Text',
            'type' => 'text'
         ); 
         $options[] = array(
            'id' => 'copyright_text_link',
            'desc' => 'Link',
            'type' => 'text'
         );
         $options[] = array(
            'id' => 'copyright_text_num',
            'desc' => 'Número de dominio',
            'std' => '3',
            'type' => 'text',
            'class' => 'mini'
         );
         if(of_get_option('copyright_text_num')?$cant=of_get_option('copyright_text_num'):$cant=3);
         for($i=1; $i<=$cant; $i++){
            $options[] = array(
                'name' => 'Texto Link',
                'type' => 'toggle'
            );
                 $options[] = array(
                    'id' => 'copyright_text_link_title'.$i,
                    'desc' => 'Link',
                    'type' => 'text'
                 ); 
                 $options[] = array(
                    'id' => 'copyright_text_link_link'.$i,
                    'desc' => 'Link',
                    'type' => 'text'
                 );
            $options[] = array(
                'name' => 'Texto Link',
                'type' => 'toggle-close'
            );
         } 
    $options[] = array(
        'name' => 'Zona de configuración de Derechos de Autor',
        'type' => 'toggle-close'
    );
    $options[] = array(
        'name' => 'Favico y acceso al sitio Logo',
        'type' => 'toggle'
    );
        $options[] = array(
            'name' => 'Favicon',
            'type' => 'info'
      ); 
            $options[] = array(
            'id' => 'favicon',
            'type' => 'upload');


                $options[] = array(
            'name' => 'Logo',
            'type' => 'info'
      ); 
            $options[] = array(
            'id' => 'login',
            'type' => 'upload'); 
              
    $options[] = array(
        'name' => 'Favico y acceso al sitio Logo',
        'type' => 'toggle-close'
    );  
?>
